package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B14;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B14Mapper {

    /**
     * 查看所有
     * @return
     */
    List<B14> selectAll();

    public List<B14> selectListByInfo(B14 b14);

    int insertOne(B14 b14);

    int examineB14(B14 b14);

    int delB14(B14 b14);

    int weekdelB14(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B14> selectB14ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B14> selectB14ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b14字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B14> list);
}
